#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xFD,0x33,0x5B,0xE1,0x46,0x38,0xF2,0xF2,0x18,0x57,0xDF,0x2C,
		0x20,0xF5,0xD3,0xF9,0x67,0x6D,0x50,0xB3,0x62,0x37,0xC3,0xDE,
		0x8F,0xD0,0x2B,0xD4,0x84,0x58,0xD3,0x97,0x78,0x07,0xB8,0x41,
		0x7F,0xC4,0xD7,0x9F,0x16,0x63,0x57,0xB2,0xE9,0x96,0x09,0xC8,
		0xED,0xE0,0x04,0x92,0x72,0x43,0x65,0x53,0xEE,0x24,0x46,0x28,
		0x4B,0x32,0xD9,0xC3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
